Skip to main content
GET

Authorizations

X-API-Key
string
header
required

Your API key (get one from the test-key endpoint above)

Path Parameters

poly_id
string
required

Polymarket condition ID

Query Parameters

limit
integer
default:10

Maximum number of rows to return (default: 10 in docs, max: 10000). Use a higher limit in your code.

Response

Raw orderbook delta data

venue
string

Venue identifier

venue_token_id
string

Venue-specific token identifier

venue_market_id
string

Venue-specific market identifier (condition_id)

outcome
string

Outcome label for this token (e.g., Yes, No, or a named outcome)

server_time
integer<int64>

Server timestamp (nanoseconds)

ingest_time
integer<int64>

Ingest timestamp (nanoseconds)

payload_type
string

Type of payload: delta (single change) or snapshot (full state)

delta_price
number | null

Price level of the delta (null for snapshots)

delta_delta
number | null

Size change at this price level (null for snapshots)

delta_side
string | null

Side of the delta: bid or ask (null for snapshots)

snapshot_bid_prices
number[]

Bid price levels (for snapshots)

snapshot_bid_sizes
number[]

Bid sizes at each price level (for snapshots)

snapshot_ask_prices
number[]

Ask price levels (for snapshots)

snapshot_ask_sizes
number[]

Ask sizes at each price level (for snapshots)